---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libMAAThreadStart.dylib'
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x3A30, symSize: 0x4 }
  - { offsetInCU: 0x4D, offset: 0x4D, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0xC800, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x5834, offset: 0x5834, size: 0x8, addend: 0x0, symName: _result, symObjAddr: 0xC808, symBinAddr: 0x8028, symSize: 0x0 }
  - { offsetInCU: 0x5850, offset: 0x5850, size: 0x8, addend: 0x0, symName: _thread_start_events_vm_start, symObjAddr: 0xC80C, symBinAddr: 0x802C, symSize: 0x0 }
  - { offsetInCU: 0x5865, offset: 0x5865, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0xC810, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x5875, offset: 0x5875, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x3A30, symSize: 0x4 }
  - { offsetInCU: 0x58B9, offset: 0x58B9, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x0, symBinAddr: 0x3A30, symSize: 0x4 }
  - { offsetInCU: 0x58D2, offset: 0x58D2, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x4, symBinAddr: 0x3A34, symSize: 0x188 }
  - { offsetInCU: 0x59C8, offset: 0x59C8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x18C, symBinAddr: 0x3BBC, symSize: 0x4 }
  - { offsetInCU: 0x5A0C, offset: 0x5A0C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x18C, symBinAddr: 0x3BBC, symSize: 0x4 }
  - { offsetInCU: 0x5A25, offset: 0x5A25, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0x190, symBinAddr: 0x3BC0, symSize: 0x8 }
  - { offsetInCU: 0x5A5B, offset: 0x5A5B, size: 0x8, addend: 0x0, symName: _Callback_ThreadStart, symObjAddr: 0x198, symBinAddr: 0x3BC8, symSize: 0x98 }
  - { offsetInCU: 0x5AFB, offset: 0x5AFB, size: 0x8, addend: 0x0, symName: _Java_MAAThreadStart_check, symObjAddr: 0x230, symBinAddr: 0x3C60, symSize: 0xE0 }
...
